Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.jersey.api.json
Enum JSONJAXBContext.JSONNotation

    java.lang.Object
      java.lang.Enum<JSONJAXBContext.JSONNotation>
          com.sun.jersey.api.json.JSONJAXBContext.JSONNotation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JSONJAXBContext.JSONNotation>

Enclosing class:
  JSONJAXBContext

    public static enum JSONJAXBContext.JSONNotation

extends java.lang.Enum<JSONJAXBContext.JSONNotation>

Enumeration of supported JSON notations.

Enum Constant Summary
`BADGERFISH` The mapped Badgerfish JSON notation.
`MAPPED` The mapped (default) JSON notation.
`MAPPED_JETTISON` The mapped Jettison JSON notation.

Method Summary
`static JSONJAXBContext.JSONNotation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JSONJAXBContext.JSONNotation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAPPED

    public static final JSONJAXBContext.JSONNotation MAPPED

  The mapped (default) JSON notation.

### MAPPED_JETTISON

    public static final JSONJAXBContext.JSONNotation MAPPED_JETTISON

  The mapped Jettison JSON notation.

### BADGERFISH

    public static final JSONJAXBContext.JSONNotation BADGERFISH

  The mapped Badgerfish JSON notation.

Method Detail

### values

    public static final JSONJAXBContext.JSONNotation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(JSONJAXBContext.JSONNotation c : JSONJAXBContext.JSONNotation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static JSONJAXBContext.JSONNotation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.